# Job

Background jobs processed by Bunny

| Name        | Type                                                     | Description                                         |
| ----------- | -------------------------------------------------------- | --------------------------------------------------- |
| createdAt   | ISO8601DateTime                                          | Time the job completed                              |
| duration    | Int                                                      | Number of seconds the job was running               |
| id          | ID                                                       | Unique identifier for the Job                       |
| name        | String                                                   | Job name                                            |
| notes       | String                                                   | Notes related to the job                            |
| notesExerpt | String                                                   | Notes related to the job                            |
| state       | [JobStatus](/developer/api-reference/enums.md#jobstatus) | The status of the job: running, completed or failed |
| updatedAt   | ISO8601DateTime                                          | Time the job was last updated                       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/job.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
